Skip to main content
POST
/
v1
/
10dlc
/
brands
/
{brandId}
/
submit
Submit 10DLC brand for review
curl --request POST \
  --url https://api.zavu.dev/v1/10dlc/brands/{brandId}/submit \
  --header 'Authorization: Bearer <token>'
{
  "brand": {
    "id": "<string>",
    "entityType": "PRIVATE_PROFIT",
    "displayName": "Acme Corp",
    "email": "jsmith@example.com",
    "phone": "+14155551234",
    "street": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postalCode": "<string>",
    "country": "US",
    "vertical": "Technology",
    "status": "draft",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "companyName": "<string>",
    "ein": "12-3456789",
    "firstName": "<string>",
    "lastName": "<string>",
    "website": "<string>",
    "stockSymbol": "<string>",
    "stockExchange": "<string>",
    "brandScore": 123,
    "brandRelationship": "<string>",
    "failureReason": "<string>",
    "submittedAt": "2023-11-07T05:31:56Z",
    "verifiedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brandId
string
required

10DLC brand ID.

Response

Brand submitted for review.

brand
object
required